# open this flag when support more pkg in the future
%bcond_with tests

%global srcname Werkzeug
%global modname werkzeug
%global common_description %{expand:
Werkzeug started as simple collection of various utilities for WSGI applications and
has become one of the most advanced WSGI utility modules.  It includes a powerful debugger,
full featured request and response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL routing system and a bunch
of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template engine, database adapter or
anything else.  It doesn't even enforce a specific way of handling requests and leaves all that
up to the developer. It's most useful for end user applications which should work on as many
server environments as possible (such as blogs, wikis, bulletin boards, etc.).}

Summary:        Comprehensive WSGI web application library
Name:           python-%{modname}
Version:        2.0.2
Release:        4%{?dist}
License:        BSD
URL:            https://werkzeug.palletsprojects.com
Source0:        %{pypi_source}

Patch3000:      preserve-any-existing-PYTHONPATH-in-tests.patch

BuildArch:      noarch

%description
%{common_description}

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  make python3-devel python3dist(setuptools)

%if %{with tests}
BuildRequires:  python3dist(pytest) python3dist(pytest-timeout) python3dist(pytest-xprocess)
BuildRequires:  python3dist(requests-unixsocket) python3dist(requests) python3dist(cryptography)
BuildRequires:  python3dist(greenlet) python3dist(watchdog)
%endif

%description -n python3-%{modname}
%{common_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}
find examples/ -type f -name '*.png' -executable -print -exec chmod -x "{}" +

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{modname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 2.0.2-2
- remove unused patch

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 2.0.2-1
- initial build
